CREATE TABLE cmr_source_txn_type_mapping[ (
    TXN_TYPE_MAPPING_ID        NUMBER(18, 0)     NOT NULL,
    TRANSACTION_TYPE_CODE      VARCHAR2(160) ,
    TRANSACTION_SOURCE         VARCHAR2(100) ,
    SOURCE_TRANSACTION_TYPE    VARCHAR2(160) ,
    PARENT_SOURCE_TXN_TYPE     VARCHAR2(160) ,
    SOURCE_DOCUMENT_CODE       VARCHAR2(100) ,
    CONSIGNED_FLAG             VARCHAR2(4)   ,
    CREATED_BY                 VARCHAR2(256)     NOT NULL,
    CREATION_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128) ,
    SEED_DATA_SOURCE           VARCHAR2(2048),
    ORA_SEED_SET1              VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2              VARCHAR2(4)       NOT NULL
);
